Main Page Packages Class Hierarchy Compound List File List Compound Members

# domimplementationfeaturenull Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| domimplementationfeaturenull (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

If the "version" parameter is not null in the "hasFeature(feature,version)" method then supporting any version of the feature will cause the method to return true.

Retrieve the entire DOM document and invoke its "getImplementation()" method. This should create a DOMImplementation object whose "hasFeature(feature, version)" method is invoked with version equal to "". If the version is not specified, supporting any version feature will cause the method to return "true".

Author:
  NIST , Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-5CED94D7 , http://www.w3.org/2000/11/DOM-Level-2-errata#core-14

Definition at line 50 of file domimplementationfeaturenull.java.

## Constructor & Destructor Documentation

domimplementationfeaturenull::domimplementationfeaturenull | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 52 of file domimplementationfeaturenull.java. References DocumentBuilderSetting::hasNullString, and DOMTest::setFactory().
    00053                                      {
    00054
    00055       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00056 DocumentBuilderSetting.hasNullString
    00057         };
    00058         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00059         setFactory(testFactory);
    00060
    00061    }

## Member Function Documentation

String domimplementationfeaturenull::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 73 of file domimplementationfeaturenull.java.
    00073                                 {
    00074       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/domimplementationfeaturenull";
    00075    }

void domimplementationfeaturenull::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 76 of file domimplementationfeaturenull.java. References DOMTestCase::doMain().
    00076                                           {
    00077         DOMTestCase.doMain(domimplementationfeaturenull.class,args);
    00078    }

void domimplementationfeaturenull::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 63 of file domimplementationfeaturenull.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00063                                                     {
    00064       Document doc;
    00065       DOMImplementation domImpl;
    00066       boolean state;
    00067       doc = load("staff");
    00068       domImpl = doc.getImplementation();
    00069 state = domImpl.hasFeature("XML",null);
    00070 assertTrue("hasXMLnull",state);
    00071
    00072    }

The documentation for this class was generated from the following file:

- domimplementationfeaturenull.java